# vue-snotify

## Overview
* [Installation](installation.md)
* Basics
  * [Getting Started](essentials/getting-started.md)
  * [Basic Examples](essentials/examples.md)
* API
  * [Snotify](api/snotify.md)
    * [simple](api/snotify.md#simple)
    * [success](api/snotify.md#success)
    * [info](api/snotify.md#info)
    * [warning](api/snotify.md#warning)
    * [error](api/snotify.md#error)
    * [async](api/snotify.md#async)
    * [confirm](api/snotify.md#confirm)
    * [prompt](api/snotify.md#prompt)
    * [html](api/snotify.md#html)
    * [setDefaults](api/snotify.md#setdefaults)
    * [get](api/snotify.md#get)
    * [remove](api/snotify.md#remove)
    * [clear](api/snotify.md#clear)
    * [create](api/snotify.md#create)
  * [Callbacks](api/callbacks.md)
  * [Options](api/options.md)
    * [SnotifyToastConfig](api/options.md#snotifytoastconfig)
      * [id](api/options.md#id)
      * [timeout](api/options.md#timeout)
      * [showProgressBar](api/options.md#showprogressbar)
      * [type](api/options.md#type)
      * [closeOnClick](api/options.md#closeonclick)
      * [pauseOnHover](api/options.md#pauseonhover)
      * [buttons](api/options.md#buttons)
      * [placeholder](api/options.md#placeholder)
      * [titleMaxLength](api/options.md#titlemaxlength)
      * [bodyMaxLength](api/options.md#bodymaxlength)
      * [icon](api/options.md#icon)
      * [backdrop](api/options.md#backdrop)
      * [animation](api/options.md#animation)
      * [html](api/options.md#html)
      * [position](api/options.md#position)
    * [SnotifyGlobalConfig](api/options.md#snotifyglobalconfig)
    * [ToastDefaults](api/options.md#setting-default-configuration)
  * [Interfaces](api/interfaces.md)
    * [Snotify](api/interfaces.md#snotify)
    * [SnotifyButton](api/interfaces.md#snotifybutton)
    * [SnotifyAnimate](api/interfaces.md#snotifyanimate)
    * [SnotifyDefaults](api/interfaces.md#snotifydefaults)
    * [SnotifyStyles](api/interfaces.md#snotifystyles)
  * [Enumerators](api/enums.md)
    * [SnotifyStyle](api/enums.md#snotifystyle)
    * [SnotifyPosition](api/enums.md#snotifyposition)
  * [Types](api/types.md)
    * [SnotifyType](api/types.md#snotifytype)
    * [SnotifyEvent](api/types.md#snotifyevent)
  * [SnotifyToast](api/model.md)
    * [on](api/model.md#on)
    * [value](api/model.md#value)
    * [valid](api/model.md#valid)
    * [id](api/model.md#config)
    * [title](api/model.md#title)
    * [body](api/model.md#body)
    * [config](api/model.md#config)
* Advanced
  * [Animations](essentials/animations.md)
  * [Styling](essentials/styling.md)
  * [Development](essentials/development.md)
* [Upgrading from v2](essentials/upgrade.md)
